#!/usr/bin/python
import os
import time
import datetime
import sys

from sense_hat import SenseHat

sense = SenseHat()

idle=int(sys.argv[1])
if idle > 9 :
	print ("Using for interval: %d"  % idle)
else:
	idle = 10

while True:	
	now = datetime.datetime.now()
	
	temp = sense.get_temperature()
	t = os.popen('/opt/vc/bin/vcgencmd measure_temp')
	cputemp = t.read()
	cputemp = cputemp.replace('temp=','')
	cputemp = cputemp.replace('\'C\n','')
	cputemp = float(cputemp)
	#newtemp = temp - ((cputemp - temp) / 2)
	newtemp = 0.0071*temp*temp+0.86*temp-10.0
	newhum=sense.humidity*(2.5-0.029*newtemp)
 
	output=str(now.isoformat()) + "\t" + ("%.1f" % newhum) + "\t" + ("%.1f" %newtemp) + "\t" + ("%.2f" % sense.pressure)	
	print(output)
	sense.show_message(str(int(newtemp)), text_colour=[255, 0, 0])
	f = open('/opt/max2play/cache/sensorData.txt','a')
	f.write(output + '\n') 
	f.close()
	time.sleep(idle)