<?php
/**
	 RPi Sense Hat Setup
	
	 @Copyright 2015 Stefan Rick
	 @author Stefan Rick
	 Mail: stefan@rick-software.de
 	 Web: http://www.netzberater.de

 */ 
?>											
<style>
<!--
.description {
    list-style: circle outside none;
    padding-left: 20px;
}
-->
</style>

<h1 class="entry-header">
	<?php echo _t("RPi-Sense Hat") ?>
</h1>
<div class="entry-content">
	<?php if(isset($rpid->view->message[0])){ ?>
		<div class="ui-widget">
			<div class="ui-state-highlight ui-corner-all" style="margin-bottom: 10px; padding: 0.4em .7em;">
				<p>
					<span class="ui-icon ui-icon-info" style="float: left; margin-right: .3em;"></span>
					<?php echo implode('<br />', $rpid->view->message); ?>					
				</p>
			</div>
		</div>
	<?php } ?>		
	
	<?php echo _t("Easy Installer to set up the RPi Sense Hat! More about the Sense Hat API: <a href='http://pythonhosted.org/sense-hat/api/' target=_blank>http://pythonhosted.org/sense-hat/api/</a>") ?>
	<br /><br />	
	
	<form action="" method="get">
	<input type="hidden" id="action" name="action" value="" />
	
<?php if($rpid->view->installed) { ?>
	<p class="ui-state-default ui-corner-all" style="padding:4px;margin-bottom:1em;">
			<span class="ui-icon ui-icon-video" style="float:left; margin:-2px 5px 0 0;"></span>
			<?php echo str_replace('$SERVICENAME', $rpid->viewname, _('$SERVICENAME is installed')) ?> | 
			<?php if ($rpid->view->pid) { ?>
				<b><?php echo _('Status') ?>:</b> <?php echo str_replace('$SERVICENAME', $rpid->viewname, _('$SERVICENAME is running with processID')) ?> <b><?php echo $rpid->view->pid ?></b></p>
				<input type="button" value="<?php echo str_replace('$SERVICENAME', $rpid->viewname, _('stop $SERVICENAME')) ?>" name="stop" onclick="document.getElementById('action').value='stop';submit();" />
			<?php }else { ?>
				<b><?php echo _('Status') ?>:</b> <?php echo str_replace('$SERVICENAME', $rpid->viewname, _('$SERVICENAME not running')) ?></p>
				<input type="button" value="<?php echo str_replace('$SERVICENAME', $rpid->viewname, _('start $SERVICENAME')) ?>" name="start" onclick="document.getElementById('action').value='start';submit();" />	
			<?php } ?>						
	</p>
	<br />	
	
	<b><?php echo _t('Basic Settings') ?>:</b><br />		
	<div class="optiondetails"> 
		<table class="settings">
		  <tr>
			<td><?php echo _t("Activate Logging for Sensors on Boot") ?></td>
			<td>
				<input type="checkbox" <?php if($rpid->view->autostart_logging == 1) echo "checked"; ?> value="1" name="autostart_logging" />	
			</td>
			<td><?php echo _t("Autostart Log for Humidity, Temperature and Pressure every X seconds on boot!") ?></td> 
		  </tr>
		  <tr>
			<td><?php echo _t("Logging Interval in seconds") ?></td>
			<td>
				<input type="text" value="<?php echo $rpid->view->loginterval?>" name="loginterval" />	
			</td>
			<td><?php echo _t("Create a Data Log event every X seconds. Minimum is 10 seconds.") ?></td> 
		  </tr>  
		</table>
		<br />
		<input type="button" id="save" name="<?php echo _("save") ?>" onclick="document.getElementById('action').value='save';submit();" value="<?php echo _("save") ?>" />
	</div>
	<br />
	<?php include_once 'graph.php';?>
<?php }else { ?>		
	<?php echo _t("<b>Notes on this installer:</b>") ?>
	<ul class="description"><li><?php echo str_replace('|','</li><li>', _t("!INSTALLER NOTES RASPBERRY SENSE HAT") )?></li></ul>
	<br /><br />
	
	<p class="ui-state-default ui-corner-all" style="padding:4px;margin-bottom:1em;">
		<span class="ui-icon ui-icon-gear" style="float:left; margin:-2px 5px 0 0;"></span>
		<?php echo str_replace('$NAME', $rpid->viewname, _('$NAME start installation')) ?></p>	
	<input type="button" value="<?php echo str_replace('$NAME', $rpid->viewname, _('$NAME start installation')) ?>" name="install" onclick="document.getElementById('action').value='install';submit();" />
	
<?php } ?>					
		
	</form>

	<br /><br />
	<a href="#javascript" onclick="document.getElementById('debug').style.display='';return false;">DEBUG Info</a>
	<textarea id="debug" rows="30" cols="70" style="display:none;"><?php foreach ($rpid->view->debug as $key => $debug) {
			echo "#### ". $key. " ####\n"; 
			 echo $debug." \n\n"; 
		 }?>
	</textarea>

</div>	